<?php

namespace Drp\NativeEventApp\Auth\Facades;

use Illuminate\Support\Facades\Facade;

/**
 * @method \Drp\NativeEventApp\Contracts\TokenAuthenticatable get(string $authId, string $expiry, string $signature)
 * @method \Drp\NativeEventApp\Contracts\TokenAuthenticatable retrieve()
 * @method \Drp\NativeEventApp\Contracts\TokenAuthenticatable current()
 * @method \Drp\NativeEventApp\Contracts\TokenAuthenticatable setAuthResolver(callable $resolver)
 * @method \Drp\NativeEventApp\Contracts\TokenAuthenticatable setCurrentUserResolver(callable $resolver)
 */

class AuthInfoFinder extends Facade
{
    public static function getFacadeAccessor(): string
    {
        return \Drp\NativeEventApp\Auth\AuthInfoFinder::class;
    }
}
