<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Navigation extends GraphQlModel
{
    /** @var array */
    protected $guarded = [];

    /** @var string */
    protected $table = 'navigations';

    public function primary(): BelongsTo
    {
        return $this->belongsTo(NavigatableItem::class, 'primaryId');
    }

    public function secondary(): BelongsTo
    {
        return $this->belongsTo(NavigatableItem::class, 'secondaryId');
    }

    public function menu(): BelongsTo
    {
        return $this->belongsTo(Menu::class, 'menuId');
    }
}
