<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SeatingPlan extends GraphQlModel
{
    /** @var string  */
    protected $table = 'seating_plans';

    public function registration(): BelongsTo
    {
        return $this->belongsTo(Registration::class, 'registrationId');
    }

    public function agendaItem(): BelongsTo
    {
        return $this->belongsTo(AgendaItem::class, 'agendaItemId');
    }
}
