<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Segment extends GraphQlModel
{
    protected $table = 'segments';

    public function registrations(): BelongsToMany
    {
        return $this->belongsToMany(
            Registration::class,
            'segments_registrations',
            'segment_id',
            'registration_id'
        );
    }
}
