<?php

namespace Drp\NativeEventApp\Modules\Types\Form;

use Drp\NativeEventApp\Modules\Module;

abstract class Input extends Module
{
    /** @var string */
    public $label;

    /** @var ?string */
    public $value = null;

    /** @var string */
    public $name;

    public function __construct(string $name)
    {
        $this->name = $name;
    }

    public function label(string $label): self
    {
        $this->label = $label;

        return $this;
    }

    public function value(string $value): self
    {
        $this->value = $value;

        return $this;
    }
}
