<?php

namespace Drp\NativeEventApp\Test;

use Laravel\Passport\Client;

trait InteractsWithOAuthClients
{
    protected function setupClient(): Client
    {
        return Client::create([
            'id' => config('native-event-app.api.client_id'),
            'name' => 'Test client',
            'secret' => config('native-event-app.api.client_secret'),
            'redirect' => '',
            'personal_access_client' => '',
            'password_client' => '',
            'revoked' => false,
        ]);
    }
}