<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Faker\Generator as Faker;
use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Models\QuizQuestion;

$factory->define(QuizQuestion::class, static function (Faker $faker): array {
    return [
        'quizId' => factory(Quiz::class),
        'title' => 'Quiz Question',
        'image' => $faker->imageUrl(),
        'type' => 'multi',
        'showCorrect' => 1,
    ];
});
