<?php

namespace Drp\NativeEventApp\Test\Unit;

use Drp\NativeEventApp\Test\Support\Models\Registration;
use Drp\NativeEventApp\Test\TestCase;

class ModelTest extends TestCase
{
    /** @test */
    public function it_applies_the_correct_table_name_prefix_when_getting_table_name(): void
    {
        $registration = factory(Registration::class)->create();

        $this->assertEquals(
            config('native-event-app.database.table_prefix') . '_registrations',
            $registration->getTable()
        );
    }
}
