<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMenusTable extends TableMigration
{
    public function tableName(): string
    {
        return 'menus';
    }

    public function up(): void
    {
        Schema::create($this->tableName(), static function (Blueprint $table): void {
            $table->bigIncrements('id');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists($this->tableName());
    }
}
