<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Gallery extends GraphQlModel
{
    /** @var string  */
    protected $table = 'galleries';

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class, 'eventId');
    }

    public function items(): HasMany
    {
        return $this->hasMany(GalleryItem::class, 'galleryId');
    }
}
